RIO_MATCH_BUS(9)

NAME
rio_match_bus - Tell if a RIO device structure has a matching RIO

SYNOPSIS

int rio_match_bus (struct device * dev, struct device_driver * drv);

ARGUMENTS

dev the standard device structure to match against

drv the standard driver structure containing the ids to match against

DESCRIPTION

Used by a driver to check whether a RIO device present in the system is in its list of supported devices. Returns 1 if there is a matching &struct rio_device_id or 0 if there is no match.

DESCRIPTION

Used by a driver to check whether a RIO device present in the system is in its list of supported devices. Returns 1 if there is a matching &struct rio_device_id or 0 if there is no match.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.